changeset 1449:235074297e4f draft dhcpcd-5.1.2

If using --with-hooks, don't detect any other hooks.
author Roy Marples <roy@marples.name>
date Fri, 16 Oct 2009 21:36:51 +0000
parents 23e5178d7612
children ee848b606cbd
files configure
diffstat 1 files changed, 23 insertions(+), 19 deletions(-) [+]
line wrap: on
line diff
--- a/configure	Fri Oct 16 21:13:41 2009 +0000
+++ b/configure	Fri Oct 16 21:36:51 2009 +0000
@@ -1,6 +1,8 @@
 #!/bin/sh
 # Try and be like autotools configure, but without autotools
 
+HOOKSET=false
+
 for x; do
 	opt=${x%%=*}
 	var=${x#*=}
@@ -24,7 +26,7 @@
 	--with-ccopts|CFLAGS) CFLAGS=$var;;
 	CPPFLAGS) CPPFLAGS=$var;;
 	--with-hook) HOOKSCRIPTS="$HOOKSCRIPTS${HOOKSCRIPTS:+ }$var";;
-	--with-hooks|HOOKSCRIPTS) HOOKSCRIPTS=$var;;
+	--with-hooks|HOOKSCRIPTS) HOOKSCRIPTS=$var; HOOKSET=true;;
 	--build) BUILD=$var;;
 	--host) HOST=$var;;
 	--target) TARGET=$var;;
@@ -285,27 +287,29 @@
 rm -f _strlcpy.c _strlcpy
 
 HOOKS=
-printf "Checking for ntpd ... "
-NTPD=$(_which ntpd)
-if [ -n "$NTPD" ]; then
-	echo "$NTPD (50-ntp.conf)"
-	HOOKS="$HOOKS${HOOKS:+ }50-ntp.conf"
-else
-	echo "not found"
-fi
+if ! $HOOKSET; then
+	printf "Checking for ntpd ... "
+	NTPD=$(_which ntpd)
+	if [ -n "$NTPD" ]; then
+		echo "$NTPD (50-ntp.conf)"
+		HOOKS="$HOOKS${HOOKS:+ }50-ntp.conf"
+	else
+		echo "not found"
+	fi
 
-printf "Checking for ypind ... "
-YPBIND=$(_which ypbind)
-if [ -n "$YPBIND" ]; then
-	if strings "$YPBIND" | grep -q yp.conf; then
-		YPHOOK="50-yp.conf"
+	printf "Checking for ypind ... "
+	YPBIND=$(_which ypbind)
+	if [ -n "$YPBIND" ]; then
+		if strings "$YPBIND" | grep -q yp.conf; then
+			YPHOOK="50-yp.conf"
+		else
+			YPHOOK="50-ypbind"
+		fi
+		echo "$YPBIND ($YPHOOK)"
+		HOOKS="$HOOKS${HOOKS:+ }$YPHOOK"
 	else
-		YPHOOK="50-ypbind"
+		echo "not found"
 	fi
-	echo "$YPBIND ($YPHOOK)"
-	HOOKS="$HOOKS${HOOKS:+ }$YPHOOK"
-else
-	echo "not found"
 fi
 
 cd dhcpcd-hooks